Next: PET system ROM settings, Previous: CRTC Settings, Up: PET-specific commands and settings [Contents][Index]

#### 7.7.3 PET I/O extension settings

#### 7.7.3.1 PET I/O extension resources

`PETREU`

  Boolean specifying whether PET REU emulation is enabled or not.

`PETREUfilename`

  String specifying the filename of the PET REU image.

`PETREUsize`

  Integer specifying the size of the emulated PET REU in KiB. (128, 512, 1024, 2048)

`PETDWW`

  Boolean specifying whether DWW emulation is enabled or not.

`PETDWWfilename`

  String specifying the filename of the DWW image RAM image.

`PETHRE`

  Boolean specifying whether HRE emulation is enabled or not.

`PETColour`

  Integer selecting the colour extension. (0: off, 1: RGBI, 2: Analog)

`PETColourBG`

  Iteger specifying the analog colour background on PET 4032. (0..255)

`UserportDAC`

  Boolean specifying whether userport DAC emulation is enabled.

`SidCart`

  Boolean specifying whether SID Cart emulation is enabled or not.

`SidAddress`

  Integer that specifies the base address of the emulated SID chip. (0x8F00, 0xE900)

`SidClock`

  Integer specifying the clock rate used for the emulated SID chip. (0: C64, 1: PET)

#### 7.7.3.2 PET I/O extension command-line options

`-petreu`
`+petreu`

  Enable/disable the PET Memory Expansion Unit (`PETREU=1`, `PETREU=0`).

`-petreuimage <name>`

  Specify name of PET Ram and Expansion Unit image (`PETREUfilename`).

`-petreuramsize <size in KiB>`

  Size of the PET Ram and Expansion Unit (`PETREUsize`). (128, 512, 1024, 2048)

`-userportdac`
`+userportdac`

  Enable/disable the userport DAC (`UserportDAC=1`, `UserportDAC=0`).

`-petdww`
`+petdww`

  Enable/disable the PET DWW hi-res board (30xx models only) (`PETDWW=1`, `PETDWW=0`).

`-petdwwimage <name>`

  Specify name of PET DWW RAM image (`PETDWWfilename`).

`-pethre`
`+pethre`

  Enable/disable the PET HRE extension (model 8296 only) (`PETHRE=1`, `PETHRE=0`).

`-colour-rgbi`

  Enable the RGBI colour extension to PET 4032 (`PETColour=1`).

`-colour-analog`

  Enable the analog colour extension to PET 4032 (`PETColour=2`).

`-colour-analog-bg <Colour 0-255>`

  Select the analog colour background on PET 4032 (`PETColourBG`).

`-sidcart`
`+sidcart`

  Enable/disable the SID Cartridge (`SidCart=1`, `SidCart=0`).

`-sidcartaddress <address>`

  Specify address of the SID Cartridge (`SidAddress`). (0x8F00, 0xE900)

`-sidcartclock <clock>`

  Specify clock of the SID Cartridge (`SidClock`). (0: C64, 1: PET)

Next: PET system ROM settings, Previous: CRTC Settings, Up: PET-specific commands and settings [Contents][Index]